## python-falcon 1.4.1

=== docker/Makefile ===
all: build-benchmark-images

build-benchmark-images:
	sudo docker build -t falconry/falcon-bench:py27-pip -f bench_py27_pip.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:py35-pip -f bench_py35_pip.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:pypy2-pip -f bench_pypy2_pip.Dockerfile ./

## python-falcon 0.1.7

=== debian/changelog ===
python-falcon (0.1.7-4) unstable; urgency=medium

  * Applied patch from Matthias Klose to fix the shebangs, though do not do it
    if building under Precise, which doesn't have the option (Closes: #739621).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Feb 2014 18:14:37 +0800

python-falcon (0.1.7-3) unstable; urgency=low

  * Reverts the order in the build-depends of python-dev to fix FTBFS. Any
    backport will have to revert the other way (Closes: #725406).

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2013 09:01:47 +0000

python-falcon (0.1.7-2) unstable; urgency=low

  * Fixes non-ASCII chars in README.rst.
  * Added cython to build-depends.
  * Using Arch: any since having cython generates some .so

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2013 17:14:06 +0800

python-falcon (0.1.7-1) unstable; urgency=low

  * Initial release. (Closes: #723633)

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2013 15:34:49 +0800

=== debian/control ===
Source: python-falcon
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: cython,
               debhelper (>= 9),
               lsb-release,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-dev (>= 2.7.3) | python2.6-dev,
               python-dev (>= 2.7.3) | python2.7-dev,
               python-nose,
               python-requests,
               python-setuptools,
               python-six,
               python-testtools,
               python3-all,
               python3-nose,
               python3-requests,
               python3-setuptools,
               python3-six,
               python3-testtools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-falcon.git
Vcs-Git: git://anonscm.debian.org/openstack/python-falcon.git
Homepage: http://falconframework.org

Package: python-falcon
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: ${python:Recommends}
Description: supersonic micro-framework for building cloud APIs - Python 2.x
 Falcon is a high-performance Python framework for building cloud APIs. It
 encourages the REST architectural style, and tries to do as little as possible
 while remaining highly effective.
 .
 Unlike other Python web frameworks, Falcon won't bottleneck your API's
 performance under highly concurrent workloads. Many frameworks max out at
 serving simple "hello world" requests at a few thousand req/sec, while Falcon
 can easily serve many more on the same hardware.
 .
 Falcon isn't very opinionated. In other words, the framework leaves a lot of
 decisions and implementation details to you.
 .
 Features:
  * Intuitive routing via URI templates and resource classes
  * Easy access to headers and bodies through request and response classes
  * Idiomatic HTTP error responses via a handy exception base class
  * DRY request processing using global, resource, and method hooks
  * Snappy unit testing through WSGI helpers and mocks
  * 20% speed boost when Cython is available
  * Python 2.6, Python 2.7, PyPy and Python 3.3 support
 .
 This package provides the Python 2.x module.

Package: python3-falcon
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: ${python3:Recommends}
Description: supersonic micro-framework for building cloud APIs - Python 3.x
 Falcon is a high-performance Python framework for building cloud APIs. It
 encourages the REST architectural style, and tries to do as little as possible
 while remaining highly effective.
 .
 Unlike other Python web frameworks, Falcon won't bottleneck your API's
 performance under highly concurrent workloads. Many frameworks max out at
 serving simple "hello world" requests at a few thousand req/sec, while Falcon
 can easily serve many more on the same hardware.
 .
 Falcon isn't very opinionated. In other words, the framework leaves a lot of
 decisions and implementation details to you.
 .
 Features:
  * Intuitive routing via URI templates and resource classes
  * Easy access to headers and bodies through request and response classes
  * Idiomatic HTTP error responses via a handy exception base class
  * DRY request processing using global, resource, and method hooks
  * Snappy unit testing through WSGI helpers and mocks
  * 20% speed boost when Cython is available
  * Python 2.6, Python 2.7, PyPy and Python 3.3 support
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)
DEB_RELEASE_NAME=$(shell lsb_release --codename | awk '{print $$2}')

UPSTREAM_GIT = git://github.com/racker/falcon.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-falcon; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-falcon; \
	done
	mv $(CURDIR)/debian/python3-falcon/usr/bin/falcon-bench $(CURDIR)/debian/python3-falcon/usr/bin/python3-falcon-bench

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#override_dh_auto_test:
#	nosetests
#endif

override_dh_python2:
	if [ $(DEB_RELEASE_NAME) = "precise" ] ; then \
		dh_python2 ; \
	else \
		dh_python2 --shebang=/usr/bin/python ; \
	fi

override_dh_python3:
	if [ $(DEB_RELEASE_NAME) = "precise" ] ; then \
		dh_python3 ; \
	else \
		dh_python3 --shebang=/usr/bin/python3 ; \
	fi

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/falcon falcon-(.*).tar.gz

## python-falcon 0.1.8

=== debian/changelog ===
python-falcon (0.1.8-3) unstable; urgency=medium

  * Also build-depends on cython3 (Closes: #751494).
  * Added a python 3.2 compat patch for unicode strings.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jun 2014 16:39:28 +0800

python-falcon (0.1.8-2) unstable; urgency=medium

  * rm -rf $(CURDIR)/debian/python*-falcon/usr/lib/python*/dist-packages/tests
    (Closes: #744992). Thanks to Jakub Wilk <jwilk@debian.org> for the report.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:08:40 +0000

python-falcon (0.1.8-1) unstable; urgency=low

  * New upstream releaes.
  * Fixed wrong build-depends for python{3,}-all-dev.
  * Runs unit tests only if nose >= 1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 21:34:59 +0800

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: cython,
+               cython3,
                debhelper (>= 9),
                lsb-release,
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-dev (>= 2.7.3) | python2.6-dev,
-               python-dev (>= 2.7.3) | python2.7-dev,
+               python-all-dev (>= 2.6.6-3~),
                python-nose,
                python-requests,
                python-setuptools,
                python-six,
                python-testtools,
                python3-all,
+               python3-all-dev,
                python3-nose,
                python3-requests,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,19 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-falcon; \
 	done
+	rm -rf $(CURDIR)/debian/python*-falcon/usr/lib/python*/dist-packages/tests
 	mv $(CURDIR)/debian/python3-falcon/usr/bin/falcon-bench $(CURDIR)/debian/python3-falcon/usr/bin/python3-falcon-bench
 
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#override_dh_auto_test:
-#	nosetests
-#endif
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# If nose >= 1.3, run unit tests.
+	set -e && if dpkg --compare-versions `dpkg -l python-nose | grep ^ii | awk '{print $$3}' | cut -d":" -f2 | cut -d- -f1` ge 1.3.0 ; then \
+		nosetests ; \
+		nosetests3 ; \
+	else \
+		echo "We need nose >= 1.3 to be able to run unit tests: skipping them" ; \
+	fi
+endif
 
 override_dh_python2:
 	if [ $(DEB_RELEASE_NAME) = "precise" ] ; then \

## python-falcon 0.3.0

=== debian/changelog ===
python-falcon (0.3.0-5) unstable; urgency=medium

  * Added patch to fix test_request_cookie_parsing which fixes FTBFS
    (Closes: #811490, #811465).
  * Fix debian/copyright ordering.
  * Add patch to fix some spelling mistakes.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jan 2016 07:27:47 +0000

python-falcon (0.3.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:22:57 +0000

python-falcon (0.3.0-3) experimental; urgency=medium

  * Fixes python3 case patch so that it works also with backports to Jessie
    and Trusty.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 15:57:41 +0200

python-falcon (0.3.0-2) experimental; urgency=medium

  * Added missing python{3}-{ddp,yaml} build-dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 13:35:26 +0000

python-falcon (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added -six and -mimeparse in (build-)depends.
  * Standards-Version is now 3.9.6.
  * Added dh-python as build-depends.
  * Removed python-nose version hack in debian/rules.
  * Dropped Python 3.2 patch.
  * Added fix-bad-case-compare-in-python3-tests.patch.
  * Removed precise hack in debian/rules.
  * Using git tag instead of broken PyPi for the debian/watch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 15:10:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,38 +2,46 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: cython,
                cython3,
                debhelper (>= 9),
+               dh-python,
                lsb-release,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-all-dev (>= 2.6.6-3~),
+               python-all,
+               python-all-dev,
+               python-ddt,
+               python-mimeparse,
                python-nose,
                python-requests,
                python-setuptools,
                python-six,
                python-testtools,
+               python-yaml,
                python3-all,
                python3-all-dev,
+               python3-ddt,
+               python3-mimeparse,
                python3-nose,
                python3-requests,
                python3-setuptools,
                python3-six,
-               python3-testtools
-Standards-Version: 3.9.4
+               python3-testtools,
+               python3-yaml,
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-falcon.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-falcon.git
 Homepage: http://falconframework.org
 
 Package: python-falcon
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Recommends: ${python:Recommends}
+Depends: python-mimeparse,
+         python-six,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+Recommends: ${python:Recommends},
 Description: supersonic micro-framework for building cloud APIs - Python 2.x
  Falcon is a high-performance Python framework for building cloud APIs. It
  encourages the REST architectural style, and tries to do as little as possible
@@ -60,9 +68,12 @@
 
 Package: python3-falcon
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: ${python3:Recommends}
+Depends: python3-mimeparse,
+         python3-six,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Recommends: ${python3:Recommends},
 Description: supersonic micro-framework for building cloud APIs - Python 3.x
  Falcon is a high-performance Python framework for building cloud APIs. It
  encourages the REST architectural style, and tries to do as little as possible

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)
DEB_RELEASE_NAME=$(shell lsb_release --codename | awk '{print $$2}')

UPSTREAM_GIT = git://github.com/racker/falcon.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-falcon; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-falcon; \
	done
	rm -rf $(CURDIR)/debian/python*-falcon/usr/lib/python*/dist-packages/tests
	mv $(CURDIR)/debian/python3-falcon/usr/bin/falcon-bench $(CURDIR)/debian/python3-falcon/usr/bin/python3-falcon-bench

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests
	nosetests3
endif

override_dh_python2:
	dh_python2 --shebang=/usr/bin/python

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installchangelogs:
	dh_installchangelogs -Xdoc/changes

## python-falcon 1.0.0

=== debian/changelog ===
python-falcon (1.0.0-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:04 +0000

python-falcon (1.0.0-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:11 +0000

python-falcon (1.0.0-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 May 2017 20:19:04 +1200

python-falcon (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 19:21:25 +0200

python-falcon (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_install & update-alternatives for /usr/bin/*
  * Removed applied upstream patch:
    - fix-bad-case-compare-in-python3-tests.patch
    - fixes-test_request_cookie_parsing.patch
  * Rebase the other 2 patches.
  * Add disable-failing-test.patch.
  * Added export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 10:02:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                dh-python,
                lsb-release,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-all-dev,
                python-ddt,
@@ -29,9 +29,9 @@
                python3-six,
                python3-testtools,
                python3-yaml,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-falcon.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-falcon.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-falcon?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-falcon -b debian/newton
 Homepage: http://falconframework.org
 
 Package: python-falcon

=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE_NAME=$(shell lsb_release --codename | awk '{print $$2}')

UPSTREAM_GIT := https://github.com/racker/falcon.git
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-falcon/usr/lib/python*/dist-packages/tests

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests
	nosetests3
endif

override_dh_python2:
	dh_python2 --shebang=/usr/bin/python

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installchangelogs:
	dh_installchangelogs -Xdoc/changes

## python-falcon 1.4.1

=== debian/changelog ===
python-falcon (1.4.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:52 +0100

python-falcon (1.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Removed cython from build-depends (Closes: #945703).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2019 08:38:02 +0100

python-falcon (1.4.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating copyright format url.
  * Fixed new upstream VCS URL.
  * New upstream release (Closes: #930134).
  * Remove Python 2 support.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.4.0.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jul 2019 20:22:48 +0200

=== debian/control ===
Source: python-falcon
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 11),
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-all-dev,
 python3-ddt,
 python3-jsonschema,
 python3-mimeparse (>= 1.5.2),
 python3-msgpack,
 python3-nose,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-testtools,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-falcon
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-falcon.git
Homepage: http://falconframework.org

Package: python3-falcon
Architecture: any
Depends:
 python3-jsonschema,
 python3-mimeparse (>= 1.5.2),
 python3-msgpack,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: supersonic micro-framework for building cloud APIs - Python 3.x
 Falcon is a high-performance Python framework for building cloud APIs. It
 encourages the REST architectural style, and tries to do as little as possible
 while remaining highly effective.
 .
 Unlike other Python web frameworks, Falcon won't bottleneck your API's
 performance under highly concurrent workloads. Many frameworks max out at
 serving simple "hello world" requests at a few thousand req/sec, while Falcon
 can easily serve many more on the same hardware.
 .
 Falcon isn't very opinionated. In other words, the framework leaves a lot of
 decisions and implementation details to you.
 .
 Features:
  * Intuitive routing via URI templates and resource classes
  * Easy access to headers and bodies through request and response classes
  * Idiomatic HTTP error responses via a handy exception base class
  * DRY request processing using global, resource, and method hooks
  * Snappy unit testing through WSGI helpers and mocks
  * 20% speed boost when Cython is available
  * Python 2.6, Python 2.7, PyPy and Python 3.3 support
 .
 This package provides the Python 3.x module.

## python-falcon 2.0.0

=== docker/Makefile ===
all: build-benchmark-images

build-benchmark-images:
	sudo docker pull python:2.7-slim
	sudo docker pull python:2.7
	sudo docker pull python:3.7-slim
	sudo docker pull python:3.7
	sudo docker pull pypy:2-slim
	sudo docker pull pypy:3-slim

	sudo docker build -t falconry/falcon-bench:py27 -f bench_py27.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:py27-cython -f bench_py27_cython.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:py37 -f bench_py37.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:py37-cython -f bench_py37_cython.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:pypy2 -f bench_pypy2.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:pypy3 -f bench_pypy3.Dockerfile ./

=== debian/changelog ===
python-falcon (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:26:45 +0200

python-falcon (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed fix-non-ascii-in-doc.patch.
  * Add do-not-test-with-rapidjson.patch.
  * Add disable-cmd-print-api-test.patch.
  * Add disable_test_imported_from_c_modules.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 10:33:36 +0200

python-falcon (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support Python 3.9 msgpack (Closes: #972332).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Oct 2020 11:30:16 -0700

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,19 @@
  openstack-pkg-tools (>= 99~),
  python3-all,
  python3-all-dev,
+ python3-coverage,
  python3-ddt,
  python3-jsonschema,
  python3-mimeparse (>= 1.5.2),
  python3-msgpack,
+ python3-mujson,
  python3-nose,
  python3-pytest,
  python3-requests,
  python3-setuptools,
  python3-six,
  python3-testtools,
+ python3-ujson,
  python3-yaml,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-falcon

=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE_NAME=$(shell lsb_release --codename | awk '{print $$2}')

UPSTREAM_GIT := https://github.com/falconry/falcon
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m pytest tests ; \
	done
endif
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tests

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installchangelogs:
	dh_installchangelogs -Xdoc/changes

## python-falcon 3.0.1

=== docker/Makefile ===
all: build-benchmark-images

build-benchmark-images:
	sudo docker pull python:3.7-slim
	sudo docker pull python:3.7
	sudo docker pull pypy:3-slim

	sudo docker build -t falconry/falcon-bench:py37 -f bench_py37.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:py37-cython -f bench_py37_cython.Dockerfile ./
	sudo docker build -t falconry/falcon-bench:pypy3 -f bench_pypy3.Dockerfile ./

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Falcon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Falcon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Falcon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Falcon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-falcon (3.0.1-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:45:58 +0000

python-falcon (3.0.1-3) unstable; urgency=medium

  * Add Rules-Requires-Root: no to avoid fakeroot #1001961 (Closes: #1002420).
  * Do not package /usr/lib/python3/dist-packages/examples.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 13:53:42 +0100

python-falcon (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 11:41:55 +0200

python-falcon (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-spelling.patch.
  * Add python3-rapidjson as (build-)depends.
  * Removed:
    - do-not-test-with-rapidjson.patch.
    - disable-cmd-print-api-test.patch
    - disable_test_imported_from_c_modules.patch
  * Added python3-cbor2 and python3-aiofiles as (build-)depends.
  * Add remove-test_cythonized_asgi.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 12:11:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,33 +10,44 @@
  dh-python,
  lsb-release,
  openstack-pkg-tools (>= 99~),
+ python3-aiofiles,
  python3-all,
  python3-all-dev,
+ python3-asgiref,
+ python3-cbor2,
  python3-coverage,
  python3-ddt,
+ python3-httpx,
  python3-jsonschema,
  python3-mimeparse (>= 1.5.2),
  python3-msgpack,
  python3-mujson,
  python3-nose,
  python3-pytest,
+ python3-rapidjson,
  python3-requests,
  python3-setuptools,
  python3-six,
  python3-testtools,
  python3-ujson,
+ python3-uvicorn,
+ python3-websockets,
  python3-yaml,
+ uvicorn,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-falcon
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-falcon.git
 Homepage: http://falconframework.org
+Rules-Requires-Root: no
 
 Package: python3-falcon
 Architecture: any
 Depends:
+ python3-cbor2,
  python3-jsonschema,
  python3-mimeparse (>= 1.5.2),
  python3-msgpack,
+ python3-rapidjson,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	done
 endif
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tests
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/examples
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## python-falcon 3.1.1

=== debian/changelog ===
python-falcon (3.1.1-5build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:12:02 +0000

python-falcon (3.1.1-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090502).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:51:42 +0100

python-falcon (3.1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.13 support. (Closes: #1081629, #1084623).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Nov 2024 11:10:04 -0800

python-falcon (3.1.1-4) unstable; urgency=medium

  * Drop extraneous python3-six dependency (Closes: #1070180).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:37:02 +0200

python-falcon (3.1.1-3) unstable; urgency=medium

  * Exclude tests/asgi/test_asgi_servers.py when running tests, as teardown
    appears broken. Note that I tried running uvicorn manually, and it seems
    working as expected (Closes: #1068963).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 08:41:50 +0200

python-falcon (3.1.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1048233).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:46:24 +0200

python-falcon (3.1.1-1) unstable; urgency=medium

  * New upstream release:
    - Add Python 3.11 support and fixes FTBFS (Closes: #1028180).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jan 2023 09:18:54 +0100

python-falcon (3.1.0-3) unstable; urgency=medium

  * Removed python3-nose from build-depends (Closes: #1018490).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 10:48:11 +0200

python-falcon (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:31:06 +0200

python-falcon (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 14:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,10 @@
  python3-mimeparse (>= 1.5.2),
  python3-msgpack,
  python3-mujson,
- python3-nose,
  python3-pytest,
  python3-rapidjson,
  python3-requests,
  python3-setuptools,
- python3-six,
  python3-testtools,
  python3-ujson,
  python3-uvicorn,
@@ -48,7 +46,6 @@
  python3-mimeparse (>= 1.5.2),
  python3-msgpack,
  python3-rapidjson,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
+	rm -rf build .stestr *.egg-info .pytest_cache
+	find falcon/ -iname '*.c' -delete
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -25,7 +27,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	for i in $(PYTHON3S) ; do \
-		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m pytest tests ; \
+		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m pytest tests -v --ignore-glob=tests/asgi/test_asgi_servers.py ; \
 	done
 endif
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tests

## python-falcon 4.0.2

=== docker/Makefile ===
FALCON_VERSION=$(shell sudo docker run -it falconry/falcon-bench:py3 python3 -c 'import falcon; import sys; sys.stdout.write(falcon.__version__)')

all: build-benchmark-images

build-benchmark-images:
	sudo docker pull python:3.8-slim
	sudo docker pull python:3.8
	sudo docker pull pypy:3-slim

	sudo docker build --no-cache -t falconry/falcon-bench:${FALCON_VERSION}-py310 -f bench_py3.Dockerfile ./
	sudo docker build --no-cache -t falconry/falcon-bench:${FALCON_VERSION}-py310-cython -f bench_py3_cython.Dockerfile ./
	sudo docker build --no-cache -t falconry/falcon-bench:${FALCON_VERSION}-pypy3 -f bench_pypy3.Dockerfile ./

push:
	sudo docker push falconry/falcon-bench:${FALCON_VERSION}-py310
	sudo docker push falconry/falcon-bench:${FALCON_VERSION}-py310-cython
	sudo docker push falconry/falcon-bench:${FALCON_VERSION}-pypy3

=== docs/Makefile ===
# Makefile for Sphinx documentation.

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-falcon (4.0.2-2) unstable; urgency=medium

  * Removed versions of packages in d/control when satisfied in Trixie.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 14:24:17 +0200

python-falcon (4.0.2-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 12:07:42 +0200

python-falcon (4.0.2-0.1) experimental; urgency=medium

  * Upload to experimental.
  * Non-maintainer upload.
  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Nov 2024 13:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 11),
  dh-python,
  lsb-release,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-aiofiles,
  python3-all,
  python3-all-dev,
@@ -19,7 +19,7 @@
  python3-ddt,
  python3-httpx,
  python3-jsonschema,
- python3-mimeparse (>= 1.5.2),
+ python3-mimeparse,
  python3-msgpack,
  python3-mujson,
  python3-pytest,
@@ -43,7 +43,7 @@
 Depends:
  python3-cbor2,
  python3-jsonschema,
- python3-mimeparse (>= 1.5.2),
+ python3-mimeparse,
  python3-msgpack,
  python3-rapidjson,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info .pytest_cache

=== debian/watch ===
version=3
https://github.com/racker/falcon/tags .*/(\d[\d\.]+)\.tar\.gz

## python-falcon 4.2.0

=== debian/changelog ===
python-falcon (4.2.0-1) experimental; urgency=medium

  * New upstraem release.
  * Add python3-orjson as build-depends.
  * Rebased remove-test_cythonized_asgi.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 10:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-mimeparse,
  python3-msgpack,
  python3-mujson,
+ python3-orjson,
  python3-pytest,
  python3-rapidjson,
  python3-requests,
